### Enumeration

# FwupdPlugin EfiDevicePathType

#### Declaration

    enum FwupdPlugin.EfiDevicePathType

#### Description

No description available.

#### Members

`FU_EFI_DEVICE_PATH_TYPE_HARDWARE`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_EFI_DEVICE_PATH_TYPE_ACPI`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_EFI_DEVICE_PATH_TYPE_MESSAGE`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_EFI_DEVICE_PATH_TYPE_MEDIA`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_EFI_DEVICE_PATH_TYPE_BIOS_BOOT`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_EFI_DEVICE_PATH_TYPE_END`

  No description available.

  - Value: `127`
  - Available since: 1.0